%define majver %(echo %version | cut -d. -f1-2)
Name:          sysprof
Version:       3.40.1
Release:       1mamba
Summary:       A sampling profiler that uses a kernel module to generate stacktraces
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://live.gnome.org
Source:        http://ftp.acc.umu.se/pub/GNOME/sources/sysprof/%{majver}/sysprof-%{version}.tar.xz
Patch0:        sysprof-3.36.0-x86-fix-long-long-type.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcairo-devel
BuildRequires: libdazzle-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libjson-glib-devel
BuildRequires: libpango-devel
BuildRequires: libpolkit-devel
BuildRequires: libstdc++6-devel
BuildRequires: libunwind-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Sysprof is a sampling profiler that uses a kernel module to generate stacktraces which are then interpreted by the userspace program "sysprof".

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
#%patch0 -p1

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/sysprof
%{_bindir}/sysprof-cli
%{_unitdir}/sysprof2.service
%{_unitdir}/sysprof3.service
%{_datadir}/applications/org.gnome.Sysprof3.desktop
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof*.xml
%{_datadir}/dbus-1/system-services/org.gnome.Sysprof*.service
%{_datadir}/dbus-1/system.d/org.gnome.Sysprof*.conf
%{_datadir}/glib-2.0/schemas/org.gnome.sysprof3.gschema.xml
%{_datadir}/metainfo/org.gnome.Sysprof3.appdata.xml
%{_datadir}/mime/packages/sysprof-mime.xml
%{_datadir}/polkit-1/actions/org.gnome.sysprof3.policy
%{_datadir}/help/C/sysprof
#%{_datadir}/icons/hicolor/scalable/actions/sysprof-trace-app.svg
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Sysprof.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Sysprof-symbolic.svg
%{_datadir}/icons/hicolor/scalable/actions/sysprof-*.svg
%lang(cs) %{_datadir}/help/cs/sysprof
%lang(da) %{_datadir}/help/da/sysprof
%lang(de) %{_datadir}/help/de/sysprof
%lang(el) %{_datadir}/help/el/sysprof
%lang(es) %{_datadir}/help/es/sysprof
%lang(pl) %{_datadir}/help/pl/sysprof
%lang(pt_BR) %{_datadir}/help/pt_BR/sysprof/
%lang(sv) %{_datadir}/help/sv/sysprof
%lang(uk) %{_datadir}/help/uk/sysprof
%doc AUTHORS COPYING

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libsysprof-4.so
%{_libdir}/libsysprof-ui-4.so
%{_libdir}/libsysprof-memory-4.so
%{_libdir}/libsysprof-speedtrack-4.so
%{_libexecdir}/sysprofd

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/sysprof-4
%{_includedir}/sysprof-4/*
%{_libdir}/libsysprof-capture-4.a
%{_libdir}/pkgconfig/sysprof-4.pc
%{_libdir}/pkgconfig/sysprof-capture-4.pc
%{_libdir}/pkgconfig/sysprof-ui-4.pc
#%doc NEWS README.md

%changelog
* Fri Apr 23 2021 Automatic Build System <autodist@mambasoft.it> 3.40.1-1mamba
- automatic version update by autodist

* Sat Jan 30 2021 Automatic Build System <autodist@mambasoft.it> 3.38.1-1mamba
- automatic version update by autodist

* Wed Mar 18 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.36.0-1mamba
- update to 3.36.0

* Fri Nov 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.34.1-2mamba
- libsysprof: require sysprof

* Thu Oct 31 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.34.1-1mamba
- package created using the webbuild interface
